Bug 74328

Summary: WebAudio: Enable USE_CONCATENATED_IMPULSE_RESPONSES on Mac port.
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: crogers, eric.carlson, pnormand
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch eric.carlson: review+

Description Jer Noble 2011-12-12 14:00:16 PST
Enable USE_CONCATENATED_IMPULSE_RESPONSES on Mac port.
Comment 1 Jer Noble 2011-12-12 14:02:40 PST
Created attachment 118839 [details]
Patch
Comment 2 Jer Noble 2011-12-12 15:57:25 PST
Created attachment 118895 [details]
Patch

Rebased patch against ToT.
Comment 3 Philippe Normand 2012-01-11 00:43:02 PST
Nice, I'm happy to see Mac willing to use this code!
Comment 4 Chris Rogers 2012-01-11 10:31:42 PST
Comment on attachment 118895 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118895&action=review

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:20636
> +				CD4AC5251496AB2C0087C4EF /* SincResampler.h */,

I could be wrong, but I thought that I had already added the SincResampler files to the Xcode project - you might want to double-check
Comment 5 Jer Noble 2012-01-11 11:26:44 PST
(In reply to comment #4)
> (From update of attachment 118895 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=118895&action=review
> 
> > Source/WebCore/WebCore.xcodeproj/project.pbxproj:20636
> > +				CD4AC5251496AB2C0087C4EF /* SincResampler.h */,
> 
> I could be wrong, but I thought that I had already added the SincResampler files to the Xcode project - you might want to double-check

Looks like that's true.  I'll excerpt that part of project.pbxproj.
Comment 6 Jer Noble 2012-01-12 13:51:44 PST
Created attachment 122304 [details]
Patch

Removed the (unnecessary) additions of SincResampler.h/cpp in the project.pbxproj file.
Comment 7 Jer Noble 2012-01-12 14:16:01 PST
Committed r104859: <http://trac.webkit.org/changeset/104859>